For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Collections

Create one or more Data Collections

post

Creates one or multiple data collections with provided metadata and attributes

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
or
Responses
201

Default Response

application/json
statusintegerRequiredExample: 201
post/api/public/v3/data-collections
POST /api/public/v3/data-collections HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 39

{
  "name": "Category 1",
  "type": "category"
}
{
  "status": 201,
  "data": [
    {
      "_id": "123e4567-e89b-12d3-a456-426614174000",
      "_index": "text",
      "name": "text",
      "originalName": "text",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "rootId": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "updatedBy": "text",
      "attributes": {
        "info": {
          "description": "text",
          "purpose": "text",
          "domain": "text",
          "owner": "text",
          "status": "text"
        },
        "features": {
          "sensitivity": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "qualityScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "trustScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "isLineageVerified": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "rating": {
            "value": 1,
            "users": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          }
        },
        "customProperties": [
          {
            "id": "text",
            "value": "text"
          }
        ],
        "tags": [
          {
            "name": "text",
            "value": "text"
          }
        ],
        "businessTerms": [
          {
            "id": "text",
            "glossaryId": "text",
            "name": "text"
          }
        ],
        "mlModels": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "businessIntelligence": [
          {
            "id": "text"
          }
        ],
        "policies": [
          {
            "id": "text"
          }
        ],
        "applications": [
          {
            "id": "text"
          }
        ],
        "physicalAssets": [
          {
            "id": "text"
          }
        ],
        "objectAccess": [
          {
            "id": "text",
            "type": "text",
            "accessType": "text"
          }
        ],
        "originalType": "category",
        "thresholds": {
          "dataQuality": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          },
          "trustScore": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          }
        },
        "predecessorId": "text",
        "isDuplicated": true
      },
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "system": {
        "aggregatedAt": "text",
        "ingestedAt": "text",
        "profiledAt": "text"
      },
      "type": "category",
      "definition": "text",
      "hasChildren": true
    }
  ]
}

Get Data Collection by ID

get

Returns metadata and attribute information for a single data collection by its ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
get/api/public/v3/data-collections/{id}
GET /api/public/v3/data-collections/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "originalName": "text",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "text",
    "updatedBy": "text",
    "attributes": {
      "info": {
        "description": "text",
        "purpose": "text",
        "domain": "text",
        "owner": "text",
        "status": "text"
      },
      "features": {
        "sensitivity": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "qualityScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "trustScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isLineageVerified": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "value": "text"
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "businessIntelligence": [
        {
          "id": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "objectAccess": [
        {
          "id": "text",
          "type": "text",
          "accessType": "text"
        }
      ],
      "originalType": "category",
      "thresholds": {
        "dataQuality": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        },
        "trustScore": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        }
      },
      "predecessorId": "text",
      "isDuplicated": true
    },
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "system": {
      "aggregatedAt": "text",
      "ingestedAt": "text",
      "profiledAt": "text"
    },
    "type": "category",
    "definition": "text",
    "hasChildren": true
  }
}

Delete a Data Collection

delete

Deletes a data collection by its ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

UUID of the data collection to delete

Responses
200

Successfully deleted the collection

application/json

Successfully deleted the collection

statusintegerRequiredExample: 200
messagestringOptionalExample: Data collection deleted successfully
delete/api/public/v3/data-collections/{id}
DELETE /api/public/v3/data-collections/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "deletedCount": 1,
    "deletedIDs": [
      "7a768677-d05a-40c9-a7f0-563053b070f8"
    ]
  },
  "message": "Data collection deleted successfully"
}

Update a Data Collection

patch

Updates attributes for an existing data collection by ID

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Body
namestringOptional

Name of the data collection

Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
patch/api/public/v3/data-collections/{id}
PATCH /api/public/v3/data-collections/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 50

{
  "attributes": {
    "features": {
      "sensitivity": "HIGH"
    }
  }
}
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "originalName": "text",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "text",
    "updatedBy": "text",
    "attributes": {
      "info": {
        "description": "text",
        "purpose": "text",
        "domain": "text",
        "owner": "text",
        "status": "text"
      },
      "features": {
        "sensitivity": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "qualityScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "trustScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isLineageVerified": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "value": "text"
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "businessIntelligence": [
        {
          "id": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "objectAccess": [
        {
          "id": "text",
          "type": "text",
          "accessType": "text"
        }
      ],
      "originalType": "category",
      "thresholds": {
        "dataQuality": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        },
        "trustScore": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        }
      },
      "predecessorId": "text",
      "isDuplicated": true
    },
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "system": {
      "aggregatedAt": "text",
      "ingestedAt": "text",
      "profiledAt": "text"
    },
    "type": "category",
    "definition": "text",
    "hasChildren": true
  }
}

Get Data Collections by IDs

post

Returns an array of metadata and attribute info for multiple data collections by their IDs

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
idsstring · uuid[] · min: 1Required

List of data collection IDs

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/by-ids
POST /api/public/v3/data-collections/by-ids HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "status": 200,
  "data": [
    {
      "_id": "123e4567-e89b-12d3-a456-426614174000",
      "_index": "text",
      "name": "text",
      "originalName": "text",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "rootId": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "updatedBy": "text",
      "attributes": {
        "info": {
          "description": "text",
          "purpose": "text",
          "domain": "text",
          "owner": "text",
          "status": "text"
        },
        "features": {
          "sensitivity": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "qualityScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "trustScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "isLineageVerified": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "rating": {
            "value": 1,
            "users": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          }
        },
        "customProperties": [
          {
            "id": "text",
            "value": "text"
          }
        ],
        "tags": [
          {
            "name": "text",
            "value": "text"
          }
        ],
        "businessTerms": [
          {
            "id": "text",
            "glossaryId": "text",
            "name": "text"
          }
        ],
        "mlModels": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "businessIntelligence": [
          {
            "id": "text"
          }
        ],
        "policies": [
          {
            "id": "text"
          }
        ],
        "applications": [
          {
            "id": "text"
          }
        ],
        "physicalAssets": [
          {
            "id": "text"
          }
        ],
        "objectAccess": [
          {
            "id": "text",
            "type": "text",
            "accessType": "text"
          }
        ],
        "originalType": "category",
        "thresholds": {
          "dataQuality": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          },
          "trustScore": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          }
        },
        "predecessorId": "text",
        "isDuplicated": true
      },
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "system": {
        "aggregatedAt": "text",
        "ingestedAt": "text",
        "profiledAt": "text"
      },
      "type": "category",
      "definition": "text",
      "hasChildren": true
    }
  ]
}

Add children to a collection

post

Associates a list of entity UUIDs as children of a data collection

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Collection ID to which entities will be added as children

Body
entitiesstring · uuid[] · min: 1Required

List of entity UUIDs to add as children

Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
messagestringRequiredExample: Children successfully added to collection
post/api/public/v3/data-collections/{id}/add-children
POST /api/public/v3/data-collections/{id}/add-children HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "entities": [
    "33ac6611-5b1d-4f13-991d-871f179cb310",
    "a95baf89-6ee2-4c3f-a4ad-bd528cd43fd8"
  ]
}
{
  "status": 200,
  "message": "Children successfully added to collection"
}

Remove children from a collection

post

Disassociates a list of entity UUIDs from a data collection

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Collection ID to remove entities from

Body
entitiesstring · uuid[] · min: 1Required

List of entity UUIDs to remove

Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
messagestringRequiredExample: Children successfully removed from collection
post/api/public/v3/data-collections/{id}/remove-children
POST /api/public/v3/data-collections/{id}/remove-children HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92

{
  "entities": [
    "33ac6611-5b1d-4f13-991d-871f179cb310",
    "a95baf89-6ee2-4c3f-a4ad-bd528cd43fd8"
  ]
}
{
  "status": 200,
  "message": "Children successfully removed from collection"
}

Filter Collections

post

Returns array of collections filtered by criteria with pagination support.

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body

At least one filter must be provided

pageinteger · min: 1Optional

Page number for pagination (starts from 1)

Default: 1
perPageinteger · min: 1Optional

Number of items per page

Default: 1000
Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/filter
POST /api/public/v3/data-collections/filter HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "filters": {
    "parentIds": [
      "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    ]
  }
}
{
  "status": 200,
  "data": [
    {
      "_id": "123e4567-e89b-12d3-a456-426614174000",
      "_index": "text",
      "name": "text",
      "originalName": "text",
      "fqdn": "text",
      "fqdnDisplay": "text",
      "parentId": "123e4567-e89b-12d3-a456-426614174000",
      "rootId": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "updatedBy": "text",
      "attributes": {
        "info": {
          "description": "text",
          "purpose": "text",
          "domain": "text",
          "owner": "text",
          "status": "text"
        },
        "features": {
          "sensitivity": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "qualityScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "trustScore": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "isLineageVerified": {
            "value": null,
            "type": "CALCULATED",
            "updatedAt": "text",
            "updatedBy": "text"
          },
          "rating": {
            "value": 1,
            "users": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          }
        },
        "customProperties": [
          {
            "id": "text",
            "value": "text"
          }
        ],
        "tags": [
          {
            "name": "text",
            "value": "text"
          }
        ],
        "businessTerms": [
          {
            "id": "text",
            "glossaryId": "text",
            "name": "text"
          }
        ],
        "mlModels": [
          {
            "id": "text",
            "name": "text"
          }
        ],
        "businessIntelligence": [
          {
            "id": "text"
          }
        ],
        "policies": [
          {
            "id": "text"
          }
        ],
        "applications": [
          {
            "id": "text"
          }
        ],
        "physicalAssets": [
          {
            "id": "text"
          }
        ],
        "objectAccess": [
          {
            "id": "text",
            "type": "text",
            "accessType": "text"
          }
        ],
        "originalType": "category",
        "thresholds": {
          "dataQuality": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          },
          "trustScore": {
            "value": 1,
            "updatedBy": "text",
            "updatedAt": "text"
          }
        },
        "predecessorId": "text",
        "isDuplicated": true
      },
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "system": {
        "aggregatedAt": "text",
        "ingestedAt": "text",
        "profiledAt": "text"
      },
      "type": "category",
      "definition": "text",
      "hasChildren": true
    }
  ],
  "pageInfo": {
    "currentPage": 1,
    "perPage": 1000,
    "totalCount": 150,
    "pageCount": 15
  }
}

Get Profiling Information by Collection IDs

post

Returns profiling statistics for a list of collections by their IDs.

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
idsstring · uuid[] · min: 1Required

Array of collection IDs

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/by-ids/profiling-info
POST /api/public/v3/data-collections/by-ids/profiling-info HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "status": 200,
  "data": [
    {
      "collection": {
        "_id": "123e4567-e89b-12d3-a456-426614174000",
        "_index": "text",
        "name": "text",
        "originalName": "text",
        "fqdn": "text",
        "fqdnDisplay": "text",
        "parentId": "123e4567-e89b-12d3-a456-426614174000",
        "rootId": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "createdBy": "text",
        "updatedBy": "text",
        "attributes": {
          "info": {
            "description": "text",
            "purpose": "text",
            "domain": "text",
            "owner": "text",
            "status": "text"
          },
          "features": {
            "sensitivity": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "qualityScore": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "trustScore": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "isLineageVerified": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "rating": {
              "value": 1,
              "users": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            }
          },
          "customProperties": [
            {
              "id": "text",
              "value": "text"
            }
          ],
          "tags": [
            {
              "name": "text",
              "value": "text"
            }
          ],
          "businessTerms": [
            {
              "id": "text",
              "glossaryId": "text",
              "name": "text"
            }
          ],
          "mlModels": [
            {
              "id": "text",
              "name": "text"
            }
          ],
          "businessIntelligence": [
            {
              "id": "text"
            }
          ],
          "policies": [
            {
              "id": "text"
            }
          ],
          "applications": [
            {
              "id": "text"
            }
          ],
          "physicalAssets": [
            {
              "id": "text"
            }
          ],
          "objectAccess": [
            {
              "id": "text",
              "type": "text",
              "accessType": "text"
            }
          ],
          "originalType": "category",
          "thresholds": {
            "dataQuality": {
              "value": 1,
              "updatedBy": "text",
              "updatedAt": "text"
            },
            "trustScore": {
              "value": 1,
              "updatedBy": "text",
              "updatedAt": "text"
            }
          },
          "predecessorId": "text",
          "isDuplicated": true
        },
        "metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "system": {
          "aggregatedAt": "text",
          "ingestedAt": "text",
          "profiledAt": "text"
        },
        "type": "category",
        "definition": "text",
        "hasChildren": true
      },
      "profilingInfo": [
        {
          "entity": {
            "id": "text",
            "name": "text",
            "type": "text",
            "parentId": "text",
            "rootId": "text",
            "resourceId": "text",
            "fqdn": "text"
          },
          "profile": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "children": [
            {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ]
    }
  ]
}

Filter Collections and Get Profiling Information

post

Returns array of collections with their profiling information filtered by criteria with pagination support.

🚨 Note: Results are limited to 10,000 items.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body

At least one filter must be provided

pageinteger · min: 1Optional

Page number for pagination (starts from 1)

Default: 1
perPageinteger · min: 1Optional

Number of items per page

Default: 1000
Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/filter/profiling-info
POST /api/public/v3/data-collections/filter/profiling-info HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 105

{
  "filters": {
    "parentIds": [
      "c94f6e4f-51cf-4f03-bda7-333dac7b1b39",
      "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    ]
  }
}
{
  "status": 200,
  "data": [
    {
      "collection": {
        "_id": "123e4567-e89b-12d3-a456-426614174000",
        "_index": "text",
        "name": "text",
        "originalName": "text",
        "fqdn": "text",
        "fqdnDisplay": "text",
        "parentId": "123e4567-e89b-12d3-a456-426614174000",
        "rootId": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "createdBy": "text",
        "updatedBy": "text",
        "attributes": {
          "info": {
            "description": "text",
            "purpose": "text",
            "domain": "text",
            "owner": "text",
            "status": "text"
          },
          "features": {
            "sensitivity": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "qualityScore": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "trustScore": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "isLineageVerified": {
              "value": null,
              "type": "CALCULATED",
              "updatedAt": "text",
              "updatedBy": "text"
            },
            "rating": {
              "value": 1,
              "users": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            }
          },
          "customProperties": [
            {
              "id": "text",
              "value": "text"
            }
          ],
          "tags": [
            {
              "name": "text",
              "value": "text"
            }
          ],
          "businessTerms": [
            {
              "id": "text",
              "glossaryId": "text",
              "name": "text"
            }
          ],
          "mlModels": [
            {
              "id": "text",
              "name": "text"
            }
          ],
          "businessIntelligence": [
            {
              "id": "text"
            }
          ],
          "policies": [
            {
              "id": "text"
            }
          ],
          "applications": [
            {
              "id": "text"
            }
          ],
          "physicalAssets": [
            {
              "id": "text"
            }
          ],
          "objectAccess": [
            {
              "id": "text",
              "type": "text",
              "accessType": "text"
            }
          ],
          "originalType": "category",
          "thresholds": {
            "dataQuality": {
              "value": 1,
              "updatedBy": "text",
              "updatedAt": "text"
            },
            "trustScore": {
              "value": 1,
              "updatedBy": "text",
              "updatedAt": "text"
            }
          },
          "predecessorId": "text",
          "isDuplicated": true
        },
        "metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "system": {
          "aggregatedAt": "text",
          "ingestedAt": "text",
          "profiledAt": "text"
        },
        "type": "category",
        "definition": "text",
        "hasChildren": true
      },
      "profilingInfo": [
        {
          "entity": {
            "id": "text",
            "name": "text",
            "type": "text",
            "parentId": "text",
            "rootId": "text",
            "resourceId": "text",
            "fqdn": "text"
          },
          "profile": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "children": [
            {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          ]
        }
      ]
    }
  ],
  "pageInfo": {
    "currentPage": 1,
    "perPage": 1000,
    "totalCount": 150,
    "pageCount": 15
  }
}

Share a data collection

post

Shares a data collection with other users. Only the changes payload (add/update/remove) is supported. The valid types are "View", "View,Update", and "View,Update,Run".

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID to share

Body
Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
post/api/public/v3/data-collections/{id}/share
POST /api/public/v3/data-collections/{id}/share HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 363

{
  "changes": {
    "add": [
      {
        "id": "7a768677-d05a-40c9-a7f0-563053b070f8",
        "accessType": "View,Update"
      },
      {
        "username": "data_steward",
        "accessType": "View"
      }
    ],
    "update": [
      {
        "id": "33ac6611-5b1d-4f13-991d-871f179cb310",
        "accessType": "View,Update,Run"
      },
      {
        "username": "admin",
        "accessType": "View,Update"
      }
    ],
    "remove": [
      {
        "id": "a0bb62c7-59ac-4da4-b39a-5b512f7c1090"
      },
      {
        "username": "data_steward"
      }
    ]
  }
}
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "originalName": "text",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "text",
    "updatedBy": "text",
    "attributes": {
      "info": {
        "description": "text",
        "purpose": "text",
        "domain": "text",
        "owner": "text",
        "status": "text"
      },
      "features": {
        "sensitivity": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "qualityScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "trustScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isLineageVerified": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "value": "text"
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "businessIntelligence": [
        {
          "id": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "objectAccess": [
        {
          "id": "text",
          "type": "text",
          "accessType": "text"
        }
      ],
      "originalType": "category",
      "thresholds": {
        "dataQuality": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        },
        "trustScore": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        }
      },
      "predecessorId": "text",
      "isDuplicated": true
    },
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "system": {
      "aggregatedAt": "text",
      "ingestedAt": "text",
      "profiledAt": "text"
    },
    "type": "category",
    "definition": "text",
    "hasChildren": true
  }
}

Publish a Data Collection

post

Publishes a data collection by promoting it to a Data Product. The collection must be marketplace-ready before it can be published.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/{id}/action/publish
POST /api/public/v3/data-collections/{id}/action/publish HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "originalName": "text",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "text",
    "updatedBy": "text",
    "attributes": {
      "info": {
        "description": "text",
        "purpose": "text",
        "domain": "text",
        "owner": "text",
        "status": "text"
      },
      "features": {
        "sensitivity": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "qualityScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "trustScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isLineageVerified": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "value": "text"
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "businessIntelligence": [
        {
          "id": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "objectAccess": [
        {
          "id": "text",
          "type": "text",
          "accessType": "text"
        }
      ],
      "originalType": "category",
      "thresholds": {
        "dataQuality": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        },
        "trustScore": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        }
      },
      "predecessorId": "text",
      "isDuplicated": true
    },
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "system": {
      "aggregatedAt": "text",
      "ingestedAt": "text",
      "profiledAt": "text"
    },
    "type": "category",
    "definition": "text",
    "hasChildren": true
  }
}

Unpublish a Data Collection

post

Unpublishes a data collection by reverting it from a Data Product back to its original type. Only collections that are currently published as a Data Product can be unpublished.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID

Responses
200

Default Response

application/json
statusintegerRequired

HTTP status code

Example: 200
post/api/public/v3/data-collections/{id}/action/unpublish
POST /api/public/v3/data-collections/{id}/action/unpublish HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "_index": "text",
    "name": "text",
    "originalName": "text",
    "fqdn": "text",
    "fqdnDisplay": "text",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "rootId": "123e4567-e89b-12d3-a456-426614174000",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "createdBy": "text",
    "updatedBy": "text",
    "attributes": {
      "info": {
        "description": "text",
        "purpose": "text",
        "domain": "text",
        "owner": "text",
        "status": "text"
      },
      "features": {
        "sensitivity": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "qualityScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "trustScore": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "isLineageVerified": {
          "value": null,
          "type": "CALCULATED",
          "updatedAt": "text",
          "updatedBy": "text"
        },
        "rating": {
          "value": 1,
          "users": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      },
      "customProperties": [
        {
          "id": "text",
          "value": "text"
        }
      ],
      "tags": [
        {
          "name": "text",
          "value": "text"
        }
      ],
      "businessTerms": [
        {
          "id": "text",
          "glossaryId": "text",
          "name": "text"
        }
      ],
      "mlModels": [
        {
          "id": "text",
          "name": "text"
        }
      ],
      "businessIntelligence": [
        {
          "id": "text"
        }
      ],
      "policies": [
        {
          "id": "text"
        }
      ],
      "applications": [
        {
          "id": "text"
        }
      ],
      "physicalAssets": [
        {
          "id": "text"
        }
      ],
      "objectAccess": [
        {
          "id": "text",
          "type": "text",
          "accessType": "text"
        }
      ],
      "originalType": "category",
      "thresholds": {
        "dataQuality": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        },
        "trustScore": {
          "value": 1,
          "updatedBy": "text",
          "updatedAt": "text"
        }
      },
      "predecessorId": "text",
      "isDuplicated": true
    },
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "system": {
      "aggregatedAt": "text",
      "ingestedAt": "text",
      "profiledAt": "text"
    },
    "type": "category",
    "definition": "text",
    "hasChildren": true
  }
}

Get data collection output

get

Returns the collection output: data entities that are part of the collection

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Path parameters
idstring · uuidRequired

Data Collection ID to retrieve output for

Responses
200

Default Response

application/json
statusintegerRequiredExample: 200
get/api/public/v3/data-collections/{id}/output
GET /api/public/v3/data-collections/{id}/output HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": 200,
  "data": {
    "_id": "123e4567-e89b-12d3-a456-426614174000",
    "entities": [
      {
        "_id": "123e4567-e89b-12d3-a456-426614174000",
        "fqdn": "text",
        "name": "text",
        "type": "text",
        "rootId": "123e4567-e89b-12d3-a456-426614174000",
        "datasourceType": "text",
        "path": "text"
      }
    ],
    "virtualEntities": [
      {
        "_id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "entities": [
          {
            "_id": "123e4567-e89b-12d3-a456-426614174000",
            "fqdn": "text",
            "name": "text",
            "type": "text",
            "rootId": "123e4567-e89b-12d3-a456-426614174000",
            "datasourceType": "text",
            "path": "text"
          }
        ]
      }
    ],
    "sqlView": "text"
  }
}

Last updated

Was this helpful?